Name:           irclog2html
Version:        2.14.0
Release:        1%{?dist}
Summary:        A script to convert IRC logs to HTML and other formats

License:        GPLv2+
URL:            http://mg.pov.lt/irclog2html/
Source0:        http://pypi.python.org/packages/source/i/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python2

%description
irclog2html is a nice IRC log parser and colorizer that will do the most common
things necessary to make an IRC log readable in a web browser. It can export to
many different HTML formats, and can export MediaWiki pipe-table syntax.

%prep
%setup -q
echo "You may need the irclog.css file. It is available at
  %{_datadir}/%{name}/irclog.css
" > README.fedora

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -Dpm 0644 src/%{name}/irclog.css %{buildroot}%{_datadir}/%{name}

%files
%doc CHANGES.rst HACKING.rst README.rst README.fedora 
%{_bindir}/%{name}
%{_bindir}/irclogsearch
%{_bindir}/logs2html
%{_datadir}/%{name}/
%{python2_sitelib}/%{name}/
%{python2_sitelib}/*.egg-info

%changelog
* Fri Jan 23 2015 Fabian Affolter <mail@fabian-affolter.ch> - 2.14.0-1
- Update to new upstream version 2.14.0

* Mon Jun 09 2014 Fabian Affolter <mail@fabian-affolter.ch> - 2.13.1-1
- Update to new upstream version 2.13.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 21 2014 Fabian Affolter <mail@fabian-affolter.ch> - 2.13.0-1
- Update to new upstream version 2.13.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.12.1-2
- Fix source URL
- Spec file cleaned

* Wed May 08 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.12.1-1
- Update to new upstream version 2.12.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.11.0-1
- Update to new upstream version 2.11.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 28 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.10.0-4
- Missing build add (#821438)

* Mon May 14 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.10.0-3
- BR update

* Mon May 14 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.10.0-2
- Install section fixed

* Sun Apr 29 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.10.0-1
- Switch to usage of the provided tarball
- Update to new upstream version 2.10.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 2.9.2-2
- Rebuilt

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 2.9.2-1
- Update to new upstream version 2.9.2

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 2.8-2
- Rebuilt

* Thu Jul 22 2010 Ian Weller <iweller@redhat.com> - 2.8-1
- Update to 2.8
- Add make check
- Add README.txt and CHANGES.txt to docs

* Fri Nov  6 2009 Ian Weller <ian@ianweller.org> - 2.7-5.svn68
- Fix bug (use of undefined variable 'progname') found by Ondrej Baudys

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4.svn67
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-3.svn67
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 04 2008 Ian Weller <ianweller@gmail.com> 2.7-2.svn67
- Fix buildroot
- Fix how-to-create-source comment

* Thu Dec 04 2008 Ian Weller <ianweller@gmail.com> 2.7-1.svn67
- Initial package build.
